#!/bin/sh

DATESTR=`date '+%Y%m%d'`

HOSTN=`hostname`

DUMPDIR="/var/Oracle/dump"

if [ ! -d $DUMPDIR ]
then
	mkdir $DUMPDIR
fi

rm -f $DUMPDIR/*_$HOSTN.dmp

DUMPF=$DUMPDIR"/"$DATESTR"_"$HOSTN".dmp"
DUMPFILE=$DUMPDIR"/"$DATESTR"_"$HOSTN".dmp"

if [ -f $DUMPFILE ]
then
	echo ""
	echo $DUMPFILE" is exist. Exit...."
	echo ""
	exit 1
fi

su - oracle -c 'exp userid=system/manager file=/var/Oracle/dump/$$_mars.dmp owner=globalsale,logger' > /dev/null

TMPFNAME=`ls -ltr $DUMPDIR | tail -1 | awk '{print $NF}'`

cd $DUMPDIR

mv $TMPFNAME $DUMPF

cd

## General backup
TARF="/public/bck_"$HOSTN".tar"
rm -f $TARF.gz
tar cvf $TARF $DUMPF /install/weblogic/secured /install/weblogic/classes/Jars

cd /public
/usr/local/bin/gzip $TARF

exit 0
